<?php

namespace Database\Seeders\Product\Traits;

use App\Models\Pos\Product\Product\Product;
use App\Repositories\Core\Status\StatusRepository;

trait ProductSeederTrait
{
    public function productSeeder()
    {
        $activeProductStatusId = resolve(StatusRepository::class)->productActive();

        $products = [
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Leather belt',
                'description' => '',
                'slug' => 'leather belt 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' =>  $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Sleeves',
                'description' => '',
                'slug' => 'sleeves 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' =>  $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'T Shirt',
                'description' => '',
                'slug' => 't shirt 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' =>  $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Black tie',
                'description' => '',
                'slug' => 'black tie 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' =>  $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Cotton women full pant',
                'description' => '',
                'slug' => 'cotton women full pant 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Full jeans pant',
                'description' => '',
                'slug' => 'full jeans pant 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' =>  $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Hat',
                'description' => '',
                'slug' => 'hat 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Full pant for man',
                'description' => '',
                'slug' => 'full pant for man 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' =>  $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Three quarter pant',
                'description' => '',
                'slug' => 'three quarter pant 1',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Sporty Track pants',
                'description' => '',
                'slug' => 'sporty Track pants 1',
            ],
            //for variant product....01
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' =>  $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'variant',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'T Shirt for man',
                'description' => '',
                'slug' => 't-shirt-for-man1',
            ],

            //for variant product....02
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' =>  $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'variant',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Cotton Short Sleeve T-shirt',
                'description' => '',
                'slug' => 'cotton-short-sleeve-t-shirt1',
            ],

            //---------------------------
            //single product pro_id
            //---------------------------
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Watch',
                'description' => '',
                'slug' => 'watch',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'HP 15s-fq3617TU Celeron N4500 15.6" FHD Laptop',
                'description' => 'hp celeron laptop',
                'slug' => 'hp',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'HP Probook 450 G8 Core i5 11th Gen 512GB SSD 15.6 inch FHD Laptop',
                'description' => '',
                'slug' => 'hp probook',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'MacBook Pro',
                'description' => '',
                'slug' => 'mackbook pro',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Dell Inspiron 15-5570 8th Gen Core i3 Price in Bangladesh 2023',
                'description' => 'dell inspiron 15-5570 ',
                'slug' => 'dummy product 5',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Smart phone',
                'description' => '',
                'slug' => 'smart phone',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Smart watch',
                'description' => '',
                'slug' => 'smart watch',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Man Nike Cap',
                'description' => '',
                'slug' => 'nike cap',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Man Addidas Cap',
                'description' => '',
                'slug' => 'addidas cap',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Jeans Short Pant',
                'description' => '',
                'slug' => 'jens short pant',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Leather Wallet',
                'description' => '',
                'slug' => 'leather wallet',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Female Scarf',
                'description' => '',
                'slug' => 'female scarf',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Polarized Sunglasses Men Women Frame Sun Glasses',
                'description' => '',
                'slug' => 'polarized sunglasses',
            ],
            [
                'category_id' => 1,
                'sub_category_id' => 1,
                'brand_id' => 1,
                'unit_id' => 1,
                'group_id' => 1,
                'status_id' => $activeProductStatusId,
                'created_by' => 1,
                'product_type' => 'single',
                'warranty_duration' => 3,
                'duration_id' => 1,
                'name' => 'Premium Frame Sunglass',
                'description' => '',
                'slug' => 'premium frame sunglass',
            ],
        ];

        Product::query()->insert($products);
    }

}